package com.sunxung.factoring.component.enums;

public enum SmbLimitStatusEnum {

    LIMIT_STATUS_001("smb_limit_001","未激活"),
    LIMIT_STATUS_002("smb_limit_002","生效"),
    LIMIT_STATUS_004("smb_limit_004","冻结"),
    LIMIT_STATUS_005("smb_limit_005","失效");
    String code;

    String desc;

    SmbLimitStatusEnum(String code, String desc){
        this.code = code;
        this.desc = desc;
    }

    public static SmbLimitStatusEnum getByCode(String code){
        for(SmbLimitStatusEnum ft:values()){
            if(ft.code.equals(code)){
                return ft;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
