package com.sunxung.factoring.entity.smb;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;

import java.util.List;

/**
 * <p>
 * 行业分类
 * </p>
 *
 * @author liutao
 * @since 2024-09-09
 */
@TableName("smb_industry")
public class SmbIndustry extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableField("code")
    private String code;

    @TableField("name")
    private String name;

    @TableField("parentId")
    private Long parentId;

    @TableField(exist = false)
    private List<SmbIndustry> smbIndustries;

    public List<SmbIndustry> getSmbIndustries() {
        return smbIndustries;
    }

    public void setSmbIndustries(List<SmbIndustry> smbIndustries) {
        this.smbIndustries = smbIndustries;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    @Override
    public String toString() {
        return "SmbIndustry{" +
            "code=" + code +
            ", name=" + name +
            ", parentId=" + parentId +
        "}";
    }
}
