package com.sunxung.factoring.entity.smb.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.BaseSearch;

import java.util.Date;
import java.util.List;

public class FinancingFromInvestorsSearchVo extends BaseSearch {

    /**
     * 名称/标识
     */
    private String keyWord;

    /**
     *  生效日期
     */
    private Date effectiveDate;

    /**
     * 到期日
     */
    private Date expiringDate;

    /**
     * 授信状态
     */
    private String creditDate;

    /**
     * 额度状态
     */
    private String limitStatus;

    private List<Long> userIds;

    public List<Long> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }

    public String getKeyWord() {
        return keyWord;
    }

    public void setKeyWord(String keyWord) {
        this.keyWord = keyWord;
    }

    public Date getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public Date getExpiringDate() {
        return expiringDate;
    }

    public void setExpiringDate(Date expiringDate) {
        this.expiringDate = expiringDate;
    }

    public String getCreditDate() {
        return creditDate;
    }

    public void setCreditDate(String creditDate) {
        this.creditDate = creditDate;
    }

    public String getLimitStatus() {
        return limitStatus;
    }

    public void setLimitStatus(String limitStatus) {
        this.limitStatus = limitStatus;
    }
}
