package com.sunxung.factoring.mapper.smb;

import com.sunxung.factoring.entity.smb.FinancingFromInvestors;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.smb.vo.FinancingFromInvestorsSearchVo;

import java.util.List;

/**
 * <p>
 * 资方融资管理 Mapper 接口
 * </p>
 *
 * @author liutao
 * @since 2024-08-26
 */
public interface FinancingFromInvestorsMapper extends BaseMapper<FinancingFromInvestors> {

    List<FinancingFromInvestors> findBySearch(FinancingFromInvestorsSearchVo financingFromInvestorsSearchVo);
}
