package com.sunxung.factoring.service.smbApi.resp;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: SMB接口公共返回参数类
 * @Author: wanglang
 * @Date: 2024/8/20 11:15
 * @Version: 1.0
 */
@Data
public class CommonResponse implements Serializable {

    private static final long serialVersionUID = 1L;
    // 返回代码
    private String respCode;
    // 返回消息
    private String respMsg;
    // 银行侧流水号
    private String serialNo;
    // 字符编码
    private String charset;
    // 签名算法
    private String algorithm;
    // 加签字段
    private String signature;
    // 请求方流水号
    private String channelSerialNo;
    // 随机密钥
    private String secretKey;
    // 业务数据 JSON格式
    private String payload;
}
