package com.sunxung.factoring.service.smbApi.resp;

import lombok.Data;

/**
 * @description: 提款申请接口返回数据
 * @Author: wanglang
 * @Date: 2024/8/20 11:54
 * @Version: 1.0
 */
@Data
public class LoanApplyResp {

    // 申请编号
    private String payoutNo;
    // 01 处理中 ；02 放款成功； 03 放款失败
    private String status;
    // 放款日期 yyyy-MM-dd 注意:02放款成功时返回
    private String payoutDate;
    // 失败原因
    private String remark;
}
