package com.sunxung.factoring.service.smbApi.resp;

import lombok.Data;

/**
 * @description: 贷款申请状态查询响应
 * @Author: wanglang
 * @Date: 2024/8/20 14:06
 * @Version: 1.0
 */
@Data
public class LoanApplyStatusResp {

    // 借据编号 唯一标识一笔贷款申请
    private String duebillNo;
    // 状态 01:放款中 02:放款成功 03:放款失败
    private String status;
    // 放款日期 yyyy-MM-dd 放款成功时返回
    private String payoutDate;
    // 返回描述信息
    private String remark;
    // 放款金额 18,2
    private String busiAmt;
    // 到期日 格式:yyyy-MM-dd
    private String maturity;
    // 提款申请时间 格式:yyyyMMddHHMMSS
    private String loanApplyTime;
}
