package com.sunxung.factoring.service.smbApi.resp;

import lombok.Data;

/**
 * @description: 还款申请、还款状态查询返回报文
 * @Author: wanglang
 * @Date: 2024/8/21 14:05
 * @Version: 1.0
 */
@Data
public class RepayStatusResp {

    // 还款编号
    private String repayNo;
    // 还款状态 01 还款成功02 还款失败 03 还款中
    private String repayStatus;
    // 归还金额 18,2
    private String hxAmt;
    // 归还本金 18,2
    private String hxCapi;
    // 归还利息 18,2
    private String hxInte;
    // 归还罚息 18,2
    private String hxFinte;
    // 归还罚金 18,2
    private String hxFine;
    // 归还复息 18,2
    private String hxCint;
    // 返回描述信息 还款失败原因描述
    private String remark;
    // 融担费 18,2
    private String guarantFee;
}
