package com.sunxung.factoring.component.enums;

public enum SmbCreditStatusEnum {


    STATUS_01("smb_01","待审批"),

    STATUS_02("smb_02","审批中"),

    STATUS_03("smb_03","审批通过"),

    STATUS_04("smb_04","审批拒绝"),

    STATUS_06("smb_06","已归档"),
    STATUS_07("smb_07","处理中"),
    STATUS_11("smb_11","运营岗审核"),
    STATUS_12("smb_12","已过期");
    String code;

    String desc;

    SmbCreditStatusEnum(String code, String desc){
        this.code = code;
        this.desc = desc;
    }

    public static SmbCreditStatusEnum getByCode(String code){
        for(SmbCreditStatusEnum ft:values()){
            if(ft.code.equals(code)){
                return ft;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
