package com.sunxung.factoring.entity.financing.contract;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 合同:资方合同信息历史表
 * </p>
 *
 * @author wangyafan
 * @since 2024-08-29
 */
@TableName("financial_master_contract_his")
public class FinancialMasterContractHis extends BaseEntity {

    /**
     * 合同基础历史ID
     */
    @TableField("contract_info_his_id")
    private Long contractInfoHisId;

    /**
     * 合同类型 0 额度借款合同 1 最高额保证合同
     */
    @TableField("contract_type")
    private Integer contractType;

    /**
     * 合同编号
     */
    @TableField("contract_number")
    private String contractNumber;

    /**
     * 名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 证件号
     */
    @TableField("id_number")
    private String idNumber;

    /**
     * 金额
     */
    @TableField("amount")
    private BigDecimal amount;

    public Long getContractInfoHisId() {
        return contractInfoHisId;
    }

    public void setContractInfoHisId(Long contractInfoHisId) {
        this.contractInfoHisId = contractInfoHisId;
    }
    public Integer getContractType() {
        return contractType;
    }

    public void setContractType(Integer contractType) {
        this.contractType = contractType;
    }
    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }
    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }
    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }
    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

}
