package com.sunxung.factoring.entity.smbApi;

import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * 苏商银行 接口请求日志 实体
 */
@TableName("smb_request_log")
public class SMBRequestLogPO extends BaseEntity {
    private static final long serialVersionUID = 7512598201813186405L;
    /**
     * 接口交易码
     */
    private String transCode;
    /**
     * 长银请求流水号
     */
    private String channelSerialNo;
    /**
     * 苏商银行请求流水号
     */
    private String smbSerialNo;
    /**
     * 请求业务数据
     */
    private String requestPayload;
    /**
     * 响应业务数据
     */
    private String responsePayload;
    /**
     * 请求结果，0 - 失败 ； 1 - 成功
     */
    private boolean success;
    /**
     * 请求失败原因
     */
    private String remark;

    public String getTransCode() {
        return transCode;
    }

    public void setTransCode(String transCode) {
        this.transCode = transCode;
    }

    public String getChannelSerialNo() {
        return channelSerialNo;
    }

    public void setChannelSerialNo(String channelSerialNo) {
        this.channelSerialNo = channelSerialNo;
    }

    public String getSmbSerialNo() {
        return smbSerialNo;
    }

    public void setSmbSerialNo(String smbSerialNo) {
        this.smbSerialNo = smbSerialNo;
    }

    public String getRequestPayload() {
        return requestPayload;
    }

    public void setRequestPayload(String requestPayload) {
        this.requestPayload = requestPayload;
    }

    public String getResponsePayload() {
        return responsePayload;
    }

    public void setResponsePayload(String responsePayload) {
        this.responsePayload = responsePayload;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
