package com.sunxung.factoring.mapper.financing.contract;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.financing.contract.ContractElectronicInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 合同电子签信息 Mapper 接口
 * </p>
 *
 * @author liutao
 * @since 2022-06-25
 */
@Mapper
public interface ContractElectronicInfoMapper extends BaseMapper<ContractElectronicInfo> {

    List<ContractElectronicInfo> findSMBEffectContract(@Param("institutionName") String institutionName, @Param("supplierId")Long supplierId, @Param("sushangguaranteecontratName")String sushangguaranteecontratName, @Param("sushangfirstcontratName")String sushangfirstcontratName);

}
