package com.sunxung.factoring.mapper.smb;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.smb.FinancingLoanInfo;
import com.sunxung.factoring.entity.smb.vo.FinancingLoanInfoSearch;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 资方放款信息 Mapper 接口
 * </p>
 *
 * @author liutao
 * @since 2024-09-05
 */
@Mapper
public interface FinancingLoanInfoMapper extends BaseMapper<FinancingLoanInfo> {

    /**
     * 列表页查询
     *
     * @param search
     * @return
     */
    List<FinancingLoanInfo> findBySearch(FinancingLoanInfoSearch search);
}
