package com.sunxung.factoring.mapper.smbApi;

import java.util.List;

import com.sunxung.factoring.entity.smbApi.SMBRequestLogPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 苏商银行接口日志Mapper
 */
@Mapper
public interface SMBRequestLogMapper {

    /**
     * 新增日志
     */
    void add(SMBRequestLogPO po);

    /**
     * 根据条件获取接口日志
     * 
     * @param transCode 查询条件-交易代码
     * @return List<SMBRequestLogPO>
     */
    List<SMBRequestLogPO> findBySearch(@Param("transCode") String transCode);
}
