package com.sunxung.factoring.service.smb;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.GridPage;
import com.sunxung.factoring.entity.smb.FinancingLoanInfo;
import com.sunxung.factoring.entity.smb.vo.FinancingLoanInfoSearch;

/**
 * <p>
 * 资方放款信息 服务类
 * </p>
 *
 * @author liutao
 * @since 2024-09-05
 */
public interface IFinancingLoanInfoService extends IService<FinancingLoanInfo> {

    /**
     * 列表页查询
     *
     * @param search
     * @return
     */
    GridPage<FinancingLoanInfo> findBySearch(FinancingLoanInfoSearch search);

    /**
     * 详情页查询
     *
     * @param id
     * @return
     */
    FinancingLoanInfo getDetail(Long id);

    /**
     * 提款状态查询
     */
    void withdrawStatusQuery();
}
