package com.sunxung.factoring.service.smb.impl;

import com.sunxung.factoring.entity.smb.SmbIndustry;
import com.sunxung.factoring.mapper.smb.SmbIndustryMapper;
import com.sunxung.factoring.service.smb.ISmbIndustryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 行业分类 服务实现类
 * </p>
 *
 * @author liutao
 * @since 2024-09-09
 */
@Service
public class SmbIndustryServiceImpl extends ServiceImpl<SmbIndustryMapper, SmbIndustry> implements ISmbIndustryService {

    @Override
    public List<SmbIndustry> getIndustry() {
        List<SmbIndustry> result = this.lambdaQuery().isNull(SmbIndustry::getParentId).list();
        for (SmbIndustry smbIndustry : result) {
            List<SmbIndustry> second = this.lambdaQuery().eq(SmbIndustry::getParentId, smbIndustry.getId()).list();
            smbIndustry.setSmbIndustries(second);
            for (SmbIndustry industry : second) {
                List<SmbIndustry> third = this.lambdaQuery().eq(SmbIndustry::getParentId, industry.getId()).list();
                industry.setSmbIndustries(third);
                for (SmbIndustry smb : third) {
                    List<SmbIndustry> list = this.lambdaQuery().eq(SmbIndustry::getParentId, smb.getId()).list();
                    smb.setSmbIndustries(list);
                }
            }
        }
        return result;
    }
}
