package com.sunxung.factoring.service.smbApi.dto;

/**
 * 提款结果通知业务数据
 */
public class WithdrawNotifyPayloadDto {

    /**
     * 业务编号（合作方业务编号）
     */
    private String bizNo;
    /**
     * 放款申请编号 （提款编号）
     */
    private String payoutNo;
    /**
     * 借据编号
     */
    private String duebillNo;
    /**
     * 放款状态 （01：放款中，02：放款成功， 03：放款失败）
     */
    private String status;
    /**
     * 放款日期 yyyy-MM-dd
     */
    private String payoutDate;
    /**
     * 放款金额
     */
    private String busiAmt;
    /**
     * 到期日 yyyy-MM-dd
     */
    private String maturity;
    /**
     * 提款申请时间 yyyyMMddHHmmss
     */
    private String loanApplyTime;
    /**
     * 返回描述信息
     */
    private String remark;

    public String getBizNo() {
        return bizNo;
    }

    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }

    public String getPayoutNo() {
        return payoutNo;
    }

    public void setPayoutNo(String payoutNo) {
        this.payoutNo = payoutNo;
    }

    public String getDuebillNo() {
        return duebillNo;
    }

    public void setDuebillNo(String duebillNo) {
        this.duebillNo = duebillNo;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPayoutDate() {
        return payoutDate;
    }

    public void setPayoutDate(String payoutDate) {
        this.payoutDate = payoutDate;
    }

    public String getBusiAmt() {
        return busiAmt;
    }

    public void setBusiAmt(String busiAmt) {
        this.busiAmt = busiAmt;
    }

    public String getMaturity() {
        return maturity;
    }

    public void setMaturity(String maturity) {
        this.maturity = maturity;
    }

    public String getLoanApplyTime() {
        return loanApplyTime;
    }

    public void setLoanApplyTime(String loanApplyTime) {
        this.loanApplyTime = loanApplyTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
