package com.sunxung.factoring.service.smbApi.resp;

import lombok.Data;

/**
 * @description: 账户信息查询响应
 * @Author: wanglang
 * @Date: 2024/8/21 15:44
 * @Version: 1.0
 */
@Data
public class AccountInfoQueryResp {

    // 收款账户标志 否 1
    // sceneCode=2、3时返回 0 本行卡 1 他卡
    private String innerCardFlag;
    // 账户名称 是 200 账户名称
    private String acctName;
    // 账号 是 32
    private String clientAcct;
    // 账户类型 否 2
    // sceneCode=2、3时返回 1 企业号 2 结算户 3 一类户 4 二类户 5 内部户
    private String acctType;
    // 收款行名称 否 200
    private String bankName;
    // 收款行行号 否 32 sceneCode=2、3时返回
    private String bankCode;
    // 开户网点 否 200 sceneCode=1时返回
    private String openNet;
    // 账号别名 否 100 sceneCode=1时返回
    private String acctShortName;
    // 账户ID 否 32
    private String accId;
}
