package com.sunxung.factoring.service.smbApi.resp;

import lombok.Data;

import java.util.List;

/**
 * 合同签署响应
 */
@Data
public class ContractSignResp {

    // 业务编号
    private String bizNo;
    // 合同编号
    private String contractNo;
    // 签署状态 01 签署成功 ；02 签署失败
    private String status;
    // 返回描述信息
    private String remark;
    // 文件列表
    private List<ContractSignFileResp> fileList;
}
