package com.sunxung.factoring.service.smbApi.resp;

import lombok.Data;

/**
 * 授信状态查询响应
 */
@Data
public class CreditProcessQueryResp {

    // 申请日期
    private String applyDate;
    // 申请状态
    private String applyStatus;
    // 下次可申请时间
    private String nextApplyTime;
    // 拒绝原因
    private String reasonMsg;
    // 拒绝编码
    private String reasonCode;
    // 额度编号
    private String productLimitNo;
    // 额度状态 001-未激活；002-生效；004-冻结；005-失效
    private String limitStatus;
    // 签约有效期
    private String authEndDate;
    // 循环标志
    private String cycleType;
    // 授信额度
    private String creditLimit;
    // 可用额度
    private String validAmt;
    // 生效日期
    private String startDate;
    // 结束日期
    private String endDate;
    // 利率 审批通过的返回批复利率，单位%，保留6位小数 举例：若年化利率为18%，则该字段传值18.000000
    private String actRate;
    // 是否有待还借据 Y：是；N：否
    private String payoffFlag;
    // 客户名称
    private String custName;
    // 担保方式
    private String guaranteeFlag;
    // 个人征信授权书
    private String type301SdossId;
    // 企业征信授权书
    private String type302SdossId;
    // 个人综合信息授权书
    private String type327SdossId;
    // 企业综合信息授权书
    private String type303SdossId;
    // 业务编号
    private String bizNo;
}
