package com.sunxung.factoring.web.smbApi;

import com.sunxung.factoring.service.smbApi.spi.SMBSpiService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.Map;

@RestController
@RequestMapping("/api/smb")
public class SMBController {

    @Resource
    private SMBSpiService smbSpiService;

    /**
     * 苏商银行回调接口
     * 
     * @param request
     * @return
     */
    @RequestMapping(value = "/notify")
    public Map receiveFsoegMesage(HttpServletRequest request) {
        Map<String, String[]> parameterMap = request.getParameterMap();
        return smbSpiService.handSMBNotifyCallback(parameterMap);
    }
}
